add production scripts for TeleGPS v3.0
authorBdale Garbee <bdale@gag.com>
Wed, 26 Apr 2023 23:06:42 +0000 (17:06 -0600)
committerBdale Garbee <bdale@gag.com>
Wed, 26 Apr 2023 23:07:46 +0000 (17:07 -0600)
ao-bringup/test-telegps-v3 [new file with mode: 0755]
ao-bringup/turnon_telegps
ao-bringup/turnon_telegps_v2 [new file with mode: 0755]

diff --git a/ao-bringup/test-telegps-v3 b/ao-bringup/test-telegps-v3
new file mode 100755 (executable)
index 0000000..491e7e4
--- /dev/null
@@ -0,0 +1,52 @@
+#!/bin/sh
+
+VERSION=3.0
+PRODUCT=TeleGPS
+BASE=`echo $PRODUCT | tr 'A-Z' 'a-z'`
+
+echo "$PRODUCT-v$VERSION Test Program"
+echo "Copyright 2023 by Bdale Garbee.  Released under GPL v3"
+echo
+echo "Expectations:"
+echo "\t$PRODUCT v$VERSION powered from USB"
+echo
+
+ret=1
+ao-list | while read product serial dev; do
+    case "$product" in
+       "$PRODUCT-v$VERSION")
+
+           echo "Testing $product $serial $dev"
+
+           FLASHSIZE=2097152
+
+           echo "Testing flash"
+           ../ao-tools/ao-test-flash/ao-test-flash --tty="$dev" "$FLASHSIZE"
+
+           case $? in
+               0)
+                   ;;
+               *)
+                   echo "failed"
+                   exit 1
+           esac
+
+           echo "Testing GPS"
+           ../ao-tools/ao-test-gps/ao-test-gps --tty="$dev"
+
+           case $? in
+               0)
+                   ;;
+               *)
+                   echo "failed"
+                   exit 1
+           esac
+
+           echo "$PRODUCT-v$VERSION" serial "$serial" passed functional tests
+           ret=0
+           ;;
+       *)
+           echo "Skipping $product $serial $dev"
+           ;;
+    esac
+done
index 5e4cd616f007c175ccf55c436ecbbe02dc13ef57..b51e33c81cd73eb8e87d7d1c7d361de997277d9e 100755 (executable)
@@ -1,10 +1,12 @@
 #!/bin/sh
 
-if [ -x /usr/bin/dfu-util ]; then
-    DFU_UTIL=/usr/bin/dfu-util
+if [ -x ../ao-tools/ao-flash/ao-flash-lpc ]; then
+        FLASH_LPC=../ao-tools/ao-flash/ao-flash-lpc
+elif [ -x /usr/bin/ao-flash-lpc ]; then
+        FLASH_LPC=/usr/bin/ao-flash-lpc
 else
-    echo "Can't find dfu-util! Aborting."
-    exit 1
+        echo "Can't find ao-flash-lpc!  Aborting."
+        exit 1
 fi
 
 if [ -x /usr/bin/ao-usbload ]; then
@@ -15,17 +17,16 @@ else
 fi
 
 PRODUCT=TeleGPS
-VERSION=2.0
-REPO=~/altusmetrumllc/Binaries
-
-#BASE=`echo $PRODUCT | tr 'A-Z' 'a-z'`
-#echo $FILE
+VERSION=3.0
+BASE=`echo $PRODUCT | tr 'A-Z' 'a-z'`
+echo $FILE
 
 echo "$PRODUCT v$VERSION Turn-On and Calibration Program"
-echo "Copyright 2017 by Bdale Garbee.  Released under GPL v3+"
+echo "Copyright 2023 by Bdale Garbee.  Released under GPL v3"
 echo
 echo "Expectations:"
-echo "\t$PRODUCT v$VERSION powered from / attached to USB on this computer"
+echo "\t$PRODUCT v$VERSION powered from USB"
+echo "\t\twith ST-Link-V2 cabled to debug header"
 echo
 
 case $# in
@@ -46,31 +47,35 @@ esac
 #
 # Use released versions of everything
 #
-FLASH_FILE=$REPO/loaders/telegps-v2.0-altos-flash-*.bin
-ALTOS_FILE=$REPO/telegps-v2.0-*.elf
+FLASH_FILE=~/altusmetrumllc/Binaries/loaders/telegps-v1.0-altos-flash-*.elf
+ALTOS_FILE=~/altusmetrumllc/Binaries/telegps-v1.0-*.elf
+
+echo $FLASH_LPC $FLASH_FILE
+
+$FLASH_LPC $FLASH_FILE || exit 1
 
-$DFU_UTIL -v -v -R -a 0 -s 0x08000000:leave -D $FLASH_FILE 
+sleep 2
 
-sleep 3
+echo $USBLOAD $ALTOS_FILE
 
 $USBLOAD --serial=$SERIAL $ALTOS_FILE || exit 1
 
-sleep 3
+sleep 2
 
-dev=`ao-list | awk '/'"$PRODUCT"'-v'"$VERSION"'/ { print $3; exit(0); }'`
+dev=`ao-list | awk '/TeleGPS-v'"$VERSION"'/ { print $3; exit(0); }'`
 
 case "$dev" in
 /dev/tty*)
-        echo "$PRODUCT found on $dev"
+        echo "TeleGPS found on $dev"
         ;;
 *)
-        echo 'No '"$PRODUCT"'-v'"$VERSION"' found'
+        echo 'No TeleGPS-v'"$VERSION"' found'
         exit 1
         ;;
 esac
 
 SERIAL=$SERIAL ./cal-freq $dev
 
-./test-telegps-v2
+./test-telegps-v3
 
 exit $?
diff --git a/ao-bringup/turnon_telegps_v2 b/ao-bringup/turnon_telegps_v2
new file mode 100755 (executable)
index 0000000..5e4cd61
--- /dev/null
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+if [ -x /usr/bin/dfu-util ]; then
+    DFU_UTIL=/usr/bin/dfu-util
+else
+    echo "Can't find dfu-util! Aborting."
+    exit 1
+fi
+
+if [ -x /usr/bin/ao-usbload ]; then
+       USBLOAD=/usr/bin/ao-usbload
+else
+       echo "Can't find ao-usbload!  Aborting."
+       exit 1
+fi
+
+PRODUCT=TeleGPS
+VERSION=2.0
+REPO=~/altusmetrumllc/Binaries
+
+#BASE=`echo $PRODUCT | tr 'A-Z' 'a-z'`
+#echo $FILE
+
+echo "$PRODUCT v$VERSION Turn-On and Calibration Program"
+echo "Copyright 2017 by Bdale Garbee.  Released under GPL v3+"
+echo
+echo "Expectations:"
+echo "\t$PRODUCT v$VERSION powered from / attached to USB on this computer"
+echo
+
+case $# in
+    1)
+       SERIAL="$1"
+       echo "$PRODUCT-$VERSION serial number: $SERIAL" 
+       ;;
+    0)
+       echo -n "$PRODUCT-$VERSION serial number: "
+       read SERIAL
+       ;;
+    *)
+       echo "Usage: $0 <serial-number>" 1>&2
+       exit 1;
+       ;;
+esac
+
+#
+# Use released versions of everything
+#
+FLASH_FILE=$REPO/loaders/telegps-v2.0-altos-flash-*.bin
+ALTOS_FILE=$REPO/telegps-v2.0-*.elf
+
+$DFU_UTIL -v -v -R -a 0 -s 0x08000000:leave -D $FLASH_FILE 
+
+sleep 3
+
+$USBLOAD --serial=$SERIAL $ALTOS_FILE || exit 1
+
+sleep 3
+
+dev=`ao-list | awk '/'"$PRODUCT"'-v'"$VERSION"'/ { print $3; exit(0); }'`
+
+case "$dev" in
+/dev/tty*)
+        echo "$PRODUCT found on $dev"
+        ;;
+*)
+        echo 'No '"$PRODUCT"'-v'"$VERSION"' found'
+        exit 1
+        ;;
+esac
+
+SERIAL=$SERIAL ./cal-freq $dev
+
+./test-telegps-v2
+
+exit $?